Bug 1294718 - SELinux is preventing /usr/bin/brprintconflsr2 from 'execute' accesses on the file /etc/ld.so.cache.
SELinux is preventing /usr/bin/brprintconflsr2 from 'execute' accesses on the...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:66029639663a773d1b6b6d25fee...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-29 18:58 EST by OoZooL
Modified: 2016-04-03 11:23 EDT (History)
5 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.1.fc23 selinux-policy-3.13.1-158.2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-21 21:21:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description OoZooL 2015-12-29 18:58:52 EST
Description of problem:
Simply trying to print to a network printer... (of Brother's make HL5250-DN I think)
SELinux is preventing /usr/bin/brprintconflsr2 from 'execute' accesses on the file /etc/ld.so.cache.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that brprintconflsr2 should be allowed execute access on the ld.so.cache file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep brprintconflsr2 /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:cupsd_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:ld_so_cache_t:s0
Target Objects                /etc/ld.so.cache [ file ]
Source                        brprintconflsr2
Source Path                   /usr/bin/brprintconflsr2
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           brhl5250dnlpr-2.0.1-1.i386
Target RPM Packages           glibc-2.22-6.fc23.x86_64 glibc-2.22-6.fc23.i686
Policy RPM                    selinux-policy-3.13.1-158.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.8-300.fc23.x86_64 #1 SMP Tue
                              Dec 15 16:49:06 UTC 2015 x86_64 x86_64
Alert Count                   10
First Seen                    2015-12-30 01:52:30 IST
Last Seen                     2015-12-30 01:52:30 IST
Local ID                      7ccb9d10-833d-467f-92e4-606837c8e96d

Raw Audit Messages
type=AVC msg=audit(1451433150.948:17723): avc:  denied  { execute } for  pid=6876 comm="rawtobr2" path="/etc/ld.so.cache" dev="dm-1" ino=2754557 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:ld_so_cache_t:s0 tclass=file permissive=0


type=SYSCALL msg=audit(1451433150.948:17723): arch=i386 syscall=lgetxattr per=400000 success=no exit=EACCES a0=0 a1=357dc a2=1 a3=2 items=0 ppid=6846 pid=6876 auid=4294967295 uid=4 gid=7 euid=4 suid=4 fsuid=4 egid=7 sgid=7 fsgid=7 tty=(none) ses=4294967295 comm=rawtobr2 exe=/usr/local/Brother/lpd/rawtobr2 subj=system_u:system_r:cupsd_t:s0-s0:c0.c1023 key=(null)

Hash: brprintconflsr2,cupsd_t,ld_so_cache_t,file,execute

Version-Release number of selected component:
selinux-policy-3.13.1-158.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.8-300.fc23.x86_64
type:           libreport
Comment 1 Lukas Vrabec 2016-01-05 07:53:42 EST
commit e7883dfb262a63f6203c6a139050d7c973bfcdf0
Author: Lukas Vrabec <lvrabec@redhat.com>
Date:   Tue Jan 5 13:52:46 2016 +0100

    Allow cupsd to execute dynamic linker. BZ(1294718)
Comment 2 Fedora Update System 2016-01-14 08:15:34 EST
selinux-policy-3.13.1-158.2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cb7ac5cb9
Comment 3 Fedora Update System 2016-01-15 13:53:35 EST
selinux-policy-3.13.1-158.2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7cb7ac5cb9
Comment 4 Fedora Update System 2016-01-21 21:20:42 EST
selinux-policy-3.13.1-158.2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 OoZooL 2016-04-03 11:23:48 EDT
Description of problem:
Trying to pring to a Brother HL-5250DN printer, it actually printed without the necessary SELinux bypass mechanisms (grep brprintconflsr2 /var/log/audit/audit.log | audit2allow -M mypol)

Version-Release number of selected component:
selinux-policy-3.13.1-158.11.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.4.6-300.fc23.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.